package jp.co.spiritek.smapushsample1;

import android.app.Application;

import jp.smapush.SPKNotificationManager;

/**
 * SMA PUSHサンプル1
 * <p>
 *     プッシュ通知を利用するための最小限の実装です。
 * </p>
 */
public class MyApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();

        // アプリID/共有パスワードを設定します
        SPKNotificationManager.initialize(this, "00000000-0000-0000-0000-000000000000", "XXXXXXXXXXXXXXXX", BuildConfig.DEBUG);

        // GCMのプロジェクト番号をSender IDとして設定します
        SPKNotificationManager.getInstance().setSenderId("000000000000");

        // 詳細ログ出力を有効化します
        SPKNotificationManager.getInstance().enableVerboseLog(BuildConfig.DEBUG);
    }

}
