package jp.co.spiritek.smapushsample2;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;

import jp.smapush.SPKNotificationManager;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // 位置情報のパーミッションを要求する
        SPKNotificationManager.getInstance().requestLocationService(this);

        // 保留中のリッチ通知があれば表示する
        ((MyApplication) getApplication()).showPendingSecondDialog();
    }

    @Override
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);

        // 保留中のリッチ通知があれば表示する
        ((MyApplication) getApplication()).showPendingSecondDialog();
    }

}
